# pybind_signatures.MyClass class

My fun class!

## Static methods

def static_function(arg0: int, arg1: float, /) -> MyClass
  Static method with positional-only args

## Methods

def another(self, /) -> int
  Instance method with no args, 'self' is thus position-only
def instance_function(self, arg0: int, arg1: str, /) -> typing.Tuple[float, int]
  Instance method with positional-only args
def instance_function_kwargs(self, hey: int, what: str = '<eh?>') -> typing.Tuple[float, int]
  Instance method with position or keyword args

## Special methods

def __init__(self, /) -> None
  Constructor

## Properties

bar: float get
  A read-only property
foo: float get set
  A read/write property